// WanConfig.cpp : implementation file
//

#include "stdafx.h"
#include "WanConfig.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWanConfig property page

IMPLEMENT_DYNCREATE(CWanConfig, CPropertyPage)

CWanConfig::CWanConfig() : CPropertyPage(CWanConfig::IDD)
{
	//{{AFX_DATA_INIT(CWanConfig)
	m_Baud = 56000;
	m_ExternalClock = -1;
	m_ElectricalInt = -1;
	//}}AFX_DATA_INIT
}

CWanConfig::~CWanConfig()
{
}

void CWanConfig::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CWanConfig)
	DDX_Text(pDX, IDC_WAN_BAUD, m_Baud);
	DDV_MinMaxDWord(pDX, m_Baud, 75, 2048000);
	DDX_Radio(pDX, IDC_ExternalClock, m_ExternalClock);
	DDX_CBIndex(pDX, IDC_WAN_INTERFACE, m_ElectricalInt);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CWanConfig, CPropertyPage)
	//{{AFX_MSG_MAP(CWanConfig)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWanConfig message handlers

void CWanConfig::OnOK() 
{
	// TODO: Add your specialized code here and/or call the base class
	
	CPropertyPage::OnOK();
}

BOOL CWanConfig::OnInitDialog() 
{
	
	CPropertyPage::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
